## ros-jazzy-rclcpp-action 28.1.5

=== debian/changelog ===
ros-jazzy-rclcpp-action (28.1.5-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.1.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.1.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.1.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.1.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.1.0-1bookworm) bookworm; urgency=high

  * Remove references to index.ros.org. (#2504 <https://github.com/ros2/rclcpp/issues/2504>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.0.1-1bookworm) bookworm; urgency=high

  * Callback after cancel (#2281 <https://github.com/ros2/rclcpp/issues/2281>)
    * feat(Client): Added function to stop callbacks of a goal handle
    This function allows us to drop the handle in a locked context.
    If we do not do this within a lock, there will be a race condition between
    the deletion of the shared_ptr of the handle and the result / feedback
    callbacks.
    * fix: make Client goal handle recursive
    This fixes deadlocks due to release of goal handles in callbacks etc.
    * fix(ActionGoalClient): Fixed memory leak for nominal case
    This fixes a memory leak due to a self reference in the ClientGoalHandle.
    Note, this fix will only work, if the ClientGoalHandle ever receives
    a result callback.
    * doc: Updated documentation of rclcpp_action::Client::async_send_goal
    * docs: Made the async_send_goal documentation more explicit
    Co-authored-by: Janosch Machowinski <J.Machowinski@cellumation.com>
  * Remake of "fix: Fixed race condition in action server between is_ready and take" (#2495 <https://github.com/ros2/rclcpp/issues/2495>)
    Some background information: is_ready, take_data and execute data
    may be called from different threads in any order. The code in the old
    state expected them to be called in series, without interruption.
    This lead to multiple race conditions, as the state of the pimpl objects
    was altered by the three functions in a non thread safe way.
    Co-authored-by: Janosch Machowinski <mailto:j.machowinski@nospam.org>
  * update rclcpp::Waitable API to use references and const (#2467 <https://github.com/ros2/rclcpp/issues/2467>)
  * Contributors: William Woodall, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (28.0.0-1bookworm) bookworm; urgency=high

  * Do not generate the exception when action service response timeout. (#2464 <https://github.com/ros2/rclcpp/issues/2464>)
    * Do not generate the exception when action service response timeout.
    * address review comment.
    ---------
  * Modify rclcpp_action::GoalUUID hashing algorithm (#2441 <https://github.com/ros2/rclcpp/issues/2441>)
    * Add unit tests for hashing rclcpp_action::GoalUUID's
    * Use the FNV-1a hash algorithm for Goal UUID
  * Various cleanups to deal with uncrustify 0.78. (#2439 <https://github.com/ros2/rclcpp/issues/2439>)
    These should also work with uncrustify 0.72.
  * Update quality declaration documents (#2427 <https://github.com/ros2/rclcpp/issues/2427>)
  * Contributors: Chris Lalancette, Christophe Bedard, Tomoya Fujita, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (27.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (26.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rclcpp-action (25.0.0-1bookworm) bookworm; urgency=high

  * Switch to target_link_libraries. (#2374 <https://github.com/ros2/rclcpp/issues/2374>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (24.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (23.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (23.1.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (23.0.0-1bookworm) bookworm; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * fix(ClientGoalHandle): Made mutex recursive to prevent deadlocks (#2267 <https://github.com/ros2/rclcpp/issues/2267>)
  * Contributors: Christophe Bedard, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (22.2.0-1bookworm) bookworm; urgency=high

  * Correct the position of a comment. (#2290 <https://github.com/ros2/rclcpp/issues/2290>)
  * Fix a typo in a comment. (#2283 <https://github.com/ros2/rclcpp/issues/2283>)
  * doc fix: call canceled only after goal state is in canceling. (#2266 <https://github.com/ros2/rclcpp/issues/2266>)
  * Contributors: Chris Lalancette, Jiaqi Li, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (22.1.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rclcpp-action (22.0.0-1bookworm) bookworm; urgency=high




